Summary: The GNU macro processor
Name: m4
Version: 1.4.11
Release: 1
License: GPLv3+
Group: Applications/Text
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
URL: http://www.gnu.org/software/m4/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /sbin/install-info, info
BuildRequires: make

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-largefile
gmake %{?_smp_mflags}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/usr/linux/bin
cd ${RPM_BUILD_ROOT}/usr/linux/bin
ln -sf ../../..%{_bindir}/m4 .


%post
/sbin/install-info %{_infodir}/m4.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/m4.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*
/usr/linux/bin/*


%changelog
* Wed May 07 2008 Michael Perzl <michael@perzl.org> - 1.4.11-1
- updated to version 1.4.11-1

* Wed Mar 26 2008 Michael Perzl <michael@perzl.org> - 1.4.10-1
- first version for AIX V5.1 and higher
